dpar = struct();

% sampling rate at the input of the filter
dpar.inRate_Hz = 104e6;

% number of physical FIR taps
% in a polyphase decimator, the number of internal
% coefficients will be fDecim * fStages
dpar.mStages = 36;

% end of passband. A single value will be internally
% expanded to [-9e6, 9e6].
% Asymmetric designs require
% the complexValued = true option.
% This 'default' passband can be omitted entirely, if passbands
% are declared individually later
dpar.req_passbandF_Hz = 9e6;

% defines the maximum allowed ripple in the passband.
dpar.req_passbandRipple_dB = 0.083;

% as alternative to ripple, the in-band error
% vector magnitude (EVM) can be limited
% dpar.req_passbandEVM_dB = -44;

% the passband specification may use multiple points
% dpar.req_passbandF_Hz = [-1, 5e6, 6e6, 9e6];
% dpar.req_passbandEVM_dB = [-44, -44, -34, -34];

% start of default stopband.
% as with the passband, the default stopband can be omitted,
% if individual bands are placed later.
dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

% dpar.req_stopbandF_Hz = [14e6, 34e6];  
% dpar.req_stopbandGainMax_dB = [-30, -20];

% ********************************************
% Set up filter design object
% ********************************************    

design = YAFIR(dpar);
% ********************************************
% Design the filter
% ********************************************    
% h is the impulse response (FIR tap coefficients).
[h, status] = run(design);
disp(status);    
