close all; clear all;
dpar = struct();

% sampling rate at the input of the filter
dpar.inRate_Hz = 104e6;

% ********************************************
% Design a filter to a given frequency response
% ********************************************    
dpar.mStages = 38;
% the frequency response is approximated in any
% declared passband, but must be valid for any
% frequency to allow plotting.

dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;
dpar.complexValued = true;        

% ********************************************
% Set up filter design object
% ********************************************    
design = YAFIR(dpar);

% ********************************************
% Design a complex-valued filter
% ********************************************    
design = placeStopband(...
    design, ...
    'f_Hz', [-30e6, -16e6], ...
    'g_dB', -50);

design = placePassband(...
    design, ...
    'f_Hz', [-8e6, -2e6], ...
    'EVM_dB', -45);

design = placeStopband(...
    design, ...
    'f_Hz', [3e6, 40e6], ...
    'g_dB', [-30, -50]);

% the frequency response will go berserk, if left completely
% unconstrained => place "soft" stopband everywhere
design = placeStopband(...
    design, ...
    'f_Hz', [-9e9, -16e6], ...
    'g_dB', -10);

% ********************************************
% Design the filter
% ********************************************    
% h is the impulse response (FIR tap coefficients).
[h, status] = run(design);
disp(status);    
