close all; clear all;
dpar = struct();

% sampling rate at the input of the filter
dpar.inRate_Hz = 104e6;

% ********************************************
% Design a filter to a given frequency response
% ********************************************    
dpar.mStages = 50;
% the frequency response is approximated in any
% declared passband, but must be valid for any
% frequency to allow plotting.

dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

% ********************************************
% Set up filter design object
% ********************************************    
design = YAFIR(dpar);

% ********************************************
% Design a filter with three passbands
% ********************************************    
design = placePassband(...
    design, ...
    'f_Hz', [-2e6, 2e6], ...
    'EVM_dB', -45);

design = placePassband(...
    design, ...
    'f_Hz', [3e6, 7e6], ...
    'EVM_dB', [-45, -40]);

design = placeStopband(...
    design, ...
    'f_Hz', [11.8e6, 12.4e6], ...
    'g_dB', -70);

% ********************************************
% Design the filter
% ********************************************    
% h is the impulse response (FIR tap coefficients).
[h, status] = run(design);
disp(status);    
