close all; clear all;
dpar = struct();

% sampling rate at the input of the filter
dpar.inRate_Hz = 104e6;

% ********************************************
% Design a filter to a given frequency response
% ********************************************    
dpar.mStages = 50;
% the frequency response is approximated in any
% declared passband, but must be valid for any
% frequency to allow plotting.

dpar.req_passbandF_Hz = 9e6;
dpar.req_passbandRipple_dB = 0.083;

dpar.nominalFreq_Hz = [0, 3e6, 9e6, 1e9];
dpar.nominalGain_dB = [0, 0, -6, -6];
% instead, nominalComplexGain can be used
% g = [0, 0, -3, -3];
% dpar.nominalComplexGain = 10 .^ (g/20);

dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

% ********************************************
% Set up filter design object
% ********************************************    

design = YAFIR(dpar);
% ********************************************
% Design the filter
% ********************************************    
% h is the impulse response (FIR tap coefficients).
[h, status] = run(design);
disp(status);    
