close all; clear all;
dpar = struct();

% ********************************************
% Filter with added stopbands
% ********************************************
dpar.inRate_Hz = 104e6;
dpar.mStages = 48;
dpar.req_passbandF_Hz = 9e6;
dpar.req_passbandRipple_dB = 0.083;
dpar.req_stopbandF_Hz = 14e6;  
dpar.req_stopbandMaxGain_dB = -30;

design = YAFIR(dpar);

% ********************************************
% place a stopband from 14 to 16 MHz with -50 dB
% ********************************************
design = placeStopband(...
    design, ...
    'f_Hz', [14e6, 16e6], ...
    'g_dB', [-50, -50]);

% ********************************************
% place another stopband from 16 to 28 MHz with
% -50 dB, linearly relaxing to -40 dB
% ********************************************
design = placeStopband(...
    design, ...
    'f_Hz', [16e6, 28e6], ...
    'g_dB', [-50, -40]);

[h, status] = run(design);
disp(status);    
